Eclipse Platform Release 3.7

## org.eclipse.core.commands.common
Class NamedHandleObject

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.core.commands.common.HandleObject
              org.eclipse.core.commands.common.NamedHandleObject

All Implemented Interfaces:
  IIdentifiable

Direct Known Subclasses:
  Category, Command, Context, Scheme

    public abstract class NamedHandleObject

extends HandleObject

A handle object that carries with it a name and a description. This type of handle object is quite common across the commands code base. For example, `Command`, `Context` and `Scheme`.

Since:
  3.1

Field Summary
`protected String` `description` The description for this handle.
`protected String` `name` The name of this handle.

Fields inherited from class org.eclipse.core.commands.common.HandleObject
`defined, id, string`

Constructor Summary
`protected` `NamedHandleObject(String id)` Constructs a new instance of `NamedHandleObject`.

Method Summary
`String` `getDescription()` Returns the description for this handle.
`String` `getName()` Returns the name for this handle.

Methods inherited from class org.eclipse.core.commands.common.HandleObject
`equals, getId, hashCode, isDefined, toString, undefine`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### description

    protected String description

  The description for this handle. This value may be `null` if the handle is undefined or has no description.

### name

    protected String name

  The name of this handle. This valud should not be `null` unless the handle is undefined.

Constructor Detail

### NamedHandleObject

    protected NamedHandleObject(String id)

  Constructs a new instance of `NamedHandleObject`.

  Parameters:
    `id` - The identifier for this handle; must not be `null`.

Method Detail

### getDescription

    public String getDescription()
                          throws NotDefinedException

  Returns the description for this handle.

  Returns:
    The description; may be `null` if there is no description.
  Throws:
    `NotDefinedException` - If the handle is not currently defined.

### getName

    public String getName()
                   throws NotDefinedException

  Returns the name for this handle.

  Returns:
    The name for this handle; never `null`.
  Throws:
    `NotDefinedException` - If the handle is not currently defined.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.